--print("Setting Up Pause Menu")
clearMenu();
--menu config
--button description, lua string, title
--slider description, command, initial value

setMenuButton(menu_boxMetal);
setMenuBullet(menu_bullet);
setMenuSlider(menu_metalDark);

setMenuEscape(" ");
setBackDrop(18,16.5,50,35,menu_backdrop, 1.0);

addMenuButton(getString("you've gained a new skill"), " ", true);
addMenuButton(getString("click a skill to hear about it"), " ", true);

addMenuButton(getString("field repair") .. getRepairs() , "gofile(\"menu/requester_perkRepairs.lua\")", false);
addMenuButton(getString("combat awareness") .. getScouting(), "gofile(\"menu/requester_perkScouting.lua\")", false);
addMenuButton(getString("weapon handling") .. getWeapons(), "gofile(\"menu/requester_perkWeapons.lua\")", false);

totalLevels = getRepairs() + getScouting() + getWeapons();

afterLevel = "gofile(\"store/store_loot.lua\")"
autoSizeBackDrop();

if totalLevels < 9 then
activateMenu();
else
gofile("store/store_loot.lua");
end